SDL_SetInitialized(3)

NAME
SDL_SetInitialized - Finish an initialization state transition.

HEADER FILE
Defined in SDL3/SDL_mutex.h

SYNOPSIS
#include "SDL3/SDL.h"

void SDL_SetInitialized(SDL_InitState *state, bool initialized);

DESCRIPTION
This function sets the status of the passed in state to

SDL_INIT_STATUS_INITIALIZED or

SDL_INIT_STATUS_UNINITIALIZED and allows any threads waiting for the status to proceed.

FUNCTION PARAMETERS

state
    the initialization state to check.

initialized
    the new initialization state.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_ShouldInit(3), •(3), SDL_ShouldQuit(3)